Puzzle / Developers
API referenceOAuth

Get Token (OAuth 2.0)

POST /oauth/token

POST/oauth/token

Request Body

application/x-www-form-urlencoded

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/oauth/token" \  -H "Content-Type: application/x-www-form-urlencoded" \  -d 'grant_type=authorization_code&code=abc123&redirect_uri=https%3A%2F%2Fapp.example.com%2Fcallback&code_verifier=rAnd0mlyGen3ratedString'
{  "access_token": "eyJhbGciOi...",  "token_type": "Bearer",  "expires_in": 3600,  "refresh_token": "r1fR3shTok3n",  "scope": "read:company write:company"}

Schema refreshed 2026-11-11T18:57:48.657Z